Subject: bug#24767: closed (Re: bug#24767: jgraph comments not recognized any more)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Oct 2016 17:38:02 +0000

Your bug report

#24767: jgraph comments not recognized any more

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24767: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24767
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24767: jgraph comments not recognized any more
From: Alan Mackenzie <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Oct 2016 17:37:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Stefan.

On Sat, Oct 29, 2016 at 11:12:51AM -0400, Stefan Monnier wrote:
> > Would you try out the following patch, please, and let me know whether
> > there are still problems with it.  Thanks.

> I confirm it fixes my problems, thank you,

I've committed it, and am closing the bug.

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: jgraph comments not recognized any more
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Sat, 22 Oct 2016 17:24:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs

Try the following:

    % emacs -Q -l .../elpa/packages/jgraph-mode/jgraph-mode.el ~/foo.jgr
    (* hello *)

The string "(* hello *)" should be highlighted as a comment, and is
indeed correctly highlighted this way in Emacs-25 (and Emacs-24), but
not in "master".

The particularity of jgraph-mode's handling of (*...*) is that ?(, ?),
and ?* are given "symbol" syntax, so I guess that src/syntax.c was
modified in a way which makes it skip the whole (* as being a symbol.

        Stefan